Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Interface Reifier

All Superinterfaces:
  GetTriple

All Known Implementing Classes:
  BasicFBReifier

    public interface Reifier

extends GetTriple

This interface represents the type of things that can hold reified triples for a Jena Graph.

Author:
  kers

Nested Class Summary
`static class` | `Reifier.Util`

Method Summary
`ExtendedIterator` | `allNodes()` return an iterator over all the nodes that are reifiying something in this reifier.
`ExtendedIterator` | `allNodes(Triple t)` return an iterator over all the nodes that are reifiying t in this reifier.
`void` | `close()` The reifier will no longer be used.
`ExtendedIterator` | `find(TripleMatch m)` Answer an iterator over all the reification triples in this Reifier that match `m`.
`ExtendedIterator` | `findEither(TripleMatch m, boolean showHidden)` Answer an iterator over the reification triples of this Reifier, or an empty iterator - if showHidden is false, only the exposed triples, otherwise only the concealed ones.
`ExtendedIterator` | `findExposed(TripleMatch m)` Answer an iterator over all the reification triples that this Reifier exposes (ie all if Standard, none otherwise) that match m.
`Graph` | `getParentGraph()` get the Graph which uses this reifier.
`ReificationStyle` | `getStyle()` Answer this reifier's style.
`boolean` | `handledAdd(Triple t)` true iff the Reifier has handled an add of the triple _t_.
`boolean` | `handledRemove(Triple t)` true iff the Reifier has handled a remove of the triple _t_.
`boolean` | `hasTriple(Node n)` true iff _n_ is associated with some triple.
`boolean` | `hasTriple(Triple t)`
`Node` | `reifyAs(Node n, Triple t)` note the triple _t_ as reified using _n_ as its representing node.
`void` | `remove(Node n, Triple t)` remove any existing binding for _n_; hasNode(n) will return false and getTriple(n) will return null.
`void` | `remove(Triple t)` remove all bindings which map to this triple.
`int` | `size()` Answer the number of exposed reification quadlets held in this reifier.

Methods inherited from interface com.hp.hpl.jena.graph.GetTriple
`getTriple`

Method Detail

### find

    ExtendedIterator find(TripleMatch m)

  Answer an iterator over all the reification triples in this Reifier that match `m`.

### findExposed

    ExtendedIterator findExposed(TripleMatch m)

  Answer an iterator over all the reification triples that this Reifier exposes (ie all if Standard, none otherwise) that match m.

### findEither

    ExtendedIterator findEither(TripleMatch m,
                                boolean showHidden)

  Answer an iterator over the reification triples of this Reifier, or an empty iterator - if showHidden is false, only the exposed triples, otherwise only the concealed ones.

### size

    int size()

  Answer the number of exposed reification quadlets held in this reifier.

### getStyle

    ReificationStyle getStyle()

  Answer this reifier's style.

### getParentGraph

    Graph getParentGraph()

  get the Graph which uses this reifier.

### reifyAs

    Node reifyAs(Node n,
                 Triple t)

  note the triple _t_ as reified using _n_ as its representing node. If _n_ is already reifying something, a AlreadyReifiedException is thrown.

### hasTriple

    boolean hasTriple(Node n)

  true iff _n_ is associated with some triple.

### hasTriple

    boolean hasTriple(Triple t)

  Returns:
    true iff there's > 0 mappings to this triple

### allNodes

    ExtendedIterator allNodes()

  return an iterator over all the nodes that are reifiying something in this reifier.

### allNodes

    ExtendedIterator allNodes(Triple t)

  return an iterator over all the nodes that are reifiying t in this reifier.

### remove

    void remove(Node n,
                Triple t)

  remove any existing binding for _n_; hasNode(n) will return false and getTriple(n) will return null. This only removes *unique, single* bindings.

### remove

    void remove(Triple t)

  remove all bindings which map to this triple.

### handledAdd

    boolean handledAdd(Triple t)

  true iff the Reifier has handled an add of the triple _t_.

### handledRemove

    boolean handledRemove(Triple t)

  true iff the Reifier has handled a remove of the triple _t_.

### close

    void close()

  The reifier will no longer be used. Further operations on it are not defined by this interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP